[
{
    blockid=ldap;
    help=service_ldap_ldap;
    custom="com.netscape.management.msgserv.RootInfoControl";
    localvar={
	/* translate this block */
	.cfgldap.border=[titled,"\u7528\u65bc\u4f3a\u670d\u5668\u914d\u7f6e\u7684 LDAP \u9023\u7dda"];
	.userldap.border=[titled,"\u7528\u65bc\u4f7f\u7528\u8005\u67e5\u627e\u7684 LDAP \u9023\u7dda"];
	.uselocal.text="\u4f7f\u7528\u8a0a\u606f\u50b3\u9001\u4f3a\u670d\u5668\u7279\u6709\u7684\u76ee\u9304\u8a2d\u5b9a";
	.host.text="\u4e3b\u6a5f\u540d\u7a31\uff1a";
	.port.text="\u9023\u63a5\u57e0\u865f\u78bc\uff1a";
	.binddn.text="\u9023\u7d50 DN\uff1a ";
	.usessl.text="\u9023\u7dda\u6642\u4f7f\u7528 SSL";
	.basedn.text="\u57fa\u672c DN\uff1a";
	.editpasswd.text="\u8b8a\u66f4\u9023\u7d50\u5bc6\u78bc...";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=pane;
	    border=$.cfgldap.border;
	    constraint={
	        gridy=0;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.host.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=0;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldaphost.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.port.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapport.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.binddn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapsiedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.basedn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapbasedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.userldap.border;
	    constraint={
	        gridy=1;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    text=$.uselocal.text;
		    val=$local.ugldapuselocal.value;
		    showborder=false;
		    layout=[gridbag];
		    content=[
			{
			    ctrl=label;
			    id=hostlabel;
			    text=$.host.text;
			    target=hostctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=0;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=hostlabel;
			    id=hostctrl;
			    val=$local.ugldaphost.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=0;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=portlabel;
			    text=$.port.text;
			    target=portctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=number;
			    id=portctrl;
			    val=$local.ugldapport.value;
			    label=portlabel;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=dnlabel;
			    text=$.basedn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=dnlabel;
			    val=$local.ugldapbasedn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=binddnlabel;
			    text=$.binddn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=binddnlabel;
			    val=$local.ugldapbinddn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=separator;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        gridwidth=2;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=button;
			    text=$.editpasswd.text;
			    cmd=".editpasswd";
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weighty=1;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=proxy;
			    id=passwdproxy;
			    val=$local.ugldapbindcred.value;
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editpasswd;
    help=service_ldap_editpasswd;
    localvar={
	.siecred.text="\u5bc6\u78bc\uff1a";
	.passwdagain.text="\u78ba\u8a8d\u5bc6\u78bc\uff1a";
	.info.text="\u9019\u5c07\u50c5\u8b8a\u66f4\u8a0a\u606f\u50b3\u9001\u914d\u7f6e\u4e2d\u7684\u5bc6\u78bc\u3002\u60a8\u9084\u9700\u8981\u8b8a\u66f4\u8a72\u76ee\u9304\u4e2d\u7684\u5bc6\u78bc";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=siecredlabel;
		    text=$.siecred.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    val=$.newpasswd;
		    label=siecredlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=againlabel;
		    text=$.passwdagain.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    label=againlabel;
		    val=$.confirmpasswd;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[	    	
		{
		    ctrl=label;
		    id=infolabel;
		    text=$.info.text;
		    wrap=$g.label.size3;
		    aligny=0.5;
		}
	    ]
	}
    ]
}
]

